import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { Widget } from '@lumino/widgets';
import { Kernel } from '@jupyterlab/services';
export declare const MIME_TYPE = "application/vnd.vega.ibis.v5+json";
/**
 * An alternative vega renderer that can query the server for lazy
 * evaluations of ibis expressions targeting SQL-like backends.
 */
export declare class IbisVegaRenderer extends Widget implements IRenderMime.IRenderer {
    private getKernel;
    private tracing;
    /**
     * Construct a new renderer.
     */
    constructor(getKernel: () => Promise<Kernel.IKernelConnection | undefined | null>, tracing: boolean);
    /**
     * Render vega data using the alternative renderer.
     */
    renderModel(model: IRenderMime.IMimeModel): Promise<void>;
    /**
     * Whether the renderer has been disposed.
     */
    get isDisposed(): boolean;
    /**
     * Dispose of the resources held by the renderer.
     */
    dispose(): void;
    private _isDisposed;
    private _view;
    private _renderingSpec;
    private _renderedSpec;
}
