import { Kernel } from '@jupyterlab/services';
import * as vega from 'vega';
import * as dataflow from 'vega-dataflow';
/**
 * Generates a function to query data from an OmniSci Core database.
 * @param {object} params - The parameters for this operator.
 *
 * Inspired by load transform
 * https://github.com/vega/vega/blob/master/packages/vega-transforms/src/Load.js
 */
declare class QueryIbis extends dataflow.Transform implements vega.Transform {
    constructor(params: any);
    /**
     * The current kernel instance for the QueryIbis transform.
     */
    static kernel: Kernel.IKernelConnection | undefined;
    /**
     * Whether to record traces
     */
    static tracing: boolean;
    /**
     * The definition for the transform. Used by the vega dataflow logic
     * to decide how to use the transform.
     */
    static readonly Definition: {
        type: string;
        metadata: {
            changes: boolean;
            source: boolean;
        };
        params: ({
            name: string;
            type: string;
            required: boolean;
            array?: undefined;
        } | {
            name: string;
            type: string;
            array: boolean;
            required: boolean;
        })[];
    };
    transform(parameters: any, pulse: any): any;
    /**
     * Copied from
     * https://github.com/vega/vega/blob/d5b979955f67c9557b97eb5ddebb3fef48fe736c/packages/vega-transforms/src/Load.js#L52-L59
     */
    output(pulse: any, data: any): any;
    private _state;
    private value;
}
export default QueryIbis;
